<?php
// Table structure for table `assignments`

$SQL[] = "DROP TABLE IF EXISTS {$myprefix}assignments";

$SQL[] = <<<STAMP

CREATE TABLE {$myprefix}assignments (
  id mediumint(8) unsigned NOT NULL auto_increment,
  task mediumint(8) unsigned NOT NULL default '0',
  owner mediumint(8) unsigned NOT NULL default '0',
  assigned_to mediumint(8) unsigned NOT NULL default '0',
  comments text NOT NULL,
  assigned varchar(16) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM

STAMP;

// Table structure for table `files`

$SQL[] = "DROP TABLE IF EXISTS {$myprefix}files;";

$SQL[] = <<<STAMP

CREATE TABLE {$myprefix}files (
  id mediumint(8) unsigned NOT NULL auto_increment,
  owner mediumint(8) unsigned NOT NULL default '0',
  project mediumint(8) unsigned NOT NULL default '0',
  task mediumint(8) unsigned NOT NULL default '0',
  name varchar(255) NOT NULL default '',
  date varchar(16) NOT NULL default '',
  size varchar(155) NOT NULL default '',
  extension varchar(155) NOT NULL default '',
  comments varchar(255) NOT NULL default '',
  comments_approval varchar(255) NOT NULL default '',
  approver mediumint(8) unsigned NOT NULL default '0',
  date_approval varchar(16) NOT NULL default '',
  upload varchar(16) NOT NULL default '',
  published char(1) NOT NULL default '',
  status mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM

STAMP;

// Table structure for table `logs`
$SQL[] = "DROP TABLE IF EXISTS {$myprefix}logs";

$SQL[] = <<<STAMP

CREATE TABLE {$myprefix}logs (
  id mediumint(8) unsigned NOT NULL auto_increment,
  login varchar(155) NOT NULL default '',
  password varchar(155) NOT NULL default '',
  ip varchar(155) NOT NULL default '',
  session varchar(155) NOT NULL default '',
  compt mediumint(8) unsigned NOT NULL default '0',
  last_visite varchar(16) NOT NULL default '',
  connected varchar(255) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM

STAMP;

// Table structure for table `members`
$SQL[] = "DROP TABLE IF EXISTS {$myprefix}members";

$SQL[] = <<<STAMP

CREATE TABLE {$myprefix}members (
  id mediumint(8) unsigned NOT NULL auto_increment,
  organization mediumint(8) unsigned NOT NULL default '0',
  login varchar(155) NOT NULL default '',
  password varchar(155) NOT NULL default '',
  name varchar(155) NOT NULL default '',
  title varchar(155) NOT NULL default '',
  email_work varchar(155) NOT NULL default '',
  email_home varchar(155) NOT NULL default '',
  phone_work varchar(155) NOT NULL default '',
  phone_home varchar(155) NOT NULL default '',
  mobile varchar(155) NOT NULL default '',
  fax varchar(155) NOT NULL default '',
  comments text NOT NULL,
  profil char(1) NOT NULL default '',
  created varchar(16) NOT NULL default '',
  logout_time mediumint(8) unsigned NOT NULL default '0',
  last_page varchar(255) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM

STAMP;

// Dumping data for table `members`

$SQL[] = <<<STAMP
INSERT INTO {$myprefix}members VALUES (1, 1, 'admin', '{$adminPwd}', 'Administrator', 'Administrator', 'test@test.com', '', '555', '555', '555', '555', 'Administrator', '0', '2002-02-19 20:46', 0, '')
STAMP;

$SQL[] = <<<STAMP
INSERT INTO {$myprefix}members VALUES (2, 1, 'demo', '{$demoPwd}', 'Demo user', '', 'test@test.com', '', '', '', '', '', '', '1', '2002-02-19 20:55', 0, '');
STAMP;

// Table structure for table `notifications`
$SQL[] = "DROP TABLE IF EXISTS {$myprefix}notifications";

$SQL[] = <<<STAMP

CREATE TABLE {$myprefix}notifications (
  id mediumint(8) unsigned NOT NULL auto_increment,
  member mediumint(8) unsigned NOT NULL default '0',
  taskAssignment char(1) NOT NULL default '0',
  removeProjectTeam char(1) NOT NULL default '0',
  addProjectTeam char(1) NOT NULL default '0',
  newTopic char(1) NOT NULL default '0',
  newPost char(1) NOT NULL default '0',
  statusTaskChange char(1) NOT NULL default '0',
  priorityTaskChange char(1) NOT NULL default '0',
  duedateTaskChange char(1) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM

STAMP;

// Dumping data for table `notifications`

$SQL[] = <<<STAMP
INSERT INTO {$myprefix}notifications VALUES (1, 1, '0', '0', '0', '0', '0', '0', '0', '0')
STAMP;

$SQL[] = <<<STAMP
INSERT INTO {$myprefix}notifications VALUES (2, 2, '0', '0', '0', '0', '0', '0', '0', '0')
STAMP;

// Table structure for table `organizations`
$SQL[] = "DROP TABLE IF EXISTS {$myprefix}organizations";

$SQL[] = <<<STAMP

CREATE TABLE {$myprefix}organizations (
  id mediumint(8) unsigned NOT NULL auto_increment,
  name varchar(255) NOT NULL default '',
  address1 varchar(255) NOT NULL default '',
  address2 varchar(255) NOT NULL default '',
  zip_code varchar(155) NOT NULL default '',
  city varchar(155) NOT NULL default '',
  country varchar(155) NOT NULL default '',
  phone varchar(155) NOT NULL default '',
  fax varchar(155) NOT NULL default '',
  url varchar(255) NOT NULL default '',
  email varchar(155) NOT NULL default '',
  comments text NOT NULL,
  created varchar(16) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM

STAMP;

// Dumping data for table `organizations`

$SQL[] = <<<STAMP
INSERT INTO {$myprefix}organizations VALUES (1, 'My Company Name', '13, rue de l\'impasse', 'BP 666', '666', 'Trafalgar', 'Antartic', '555', '555', 'http://www.mycompanyname.com', 'info@mycompany.com', 'My Company', '2002-02-19 20:48')
STAMP;

// Table structure for table `posts`
$SQL[] = "DROP TABLE IF EXISTS {$myprefix}posts";

$SQL[] = <<<STAMP

CREATE TABLE {$myprefix}posts (
  id mediumint(8) unsigned NOT NULL auto_increment,
  topic mediumint(8) unsigned NOT NULL default '0',
  member mediumint(8) unsigned NOT NULL default '0',
  created varchar(16) NOT NULL default '',
  message text NOT NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM

STAMP;

// Table structure for table `projects`
$SQL[] = "DROP TABLE IF EXISTS {$myprefix}projects";

$SQL[] = <<<STAMP

CREATE TABLE {$myprefix}projects (
  id mediumint(8) unsigned NOT NULL auto_increment,
  organization mediumint(8) unsigned NOT NULL default '0',
  owner mediumint(8) unsigned NOT NULL default '0',
  priority mediumint(8) unsigned NOT NULL default '0',
  status mediumint(8) unsigned NOT NULL default '0',
  name varchar(155) NOT NULL default '',
  description text NOT NULL,
  created varchar(16) NOT NULL default '',
  modified varchar(16) NOT NULL default '',
  published char(1) NOT NULL default '',
  upload_max varchar(155) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM

STAMP;

// Table structure for table `reports`
$SQL[] = "DROP TABLE IF EXISTS {$myprefix}reports";

$SQL[] = <<<STAMP

CREATE TABLE {$myprefix}reports (
  id mediumint(8) unsigned NOT NULL auto_increment,
  owner mediumint(8) unsigned NOT NULL default '0',
  name varchar(155) NOT NULL default '',
  projects varchar(255) NOT NULL default '',
  members varchar(255) NOT NULL default '',
  priorities varchar(255) NOT NULL default '',
  status varchar(255) NOT NULL default '',
  start_date varchar(10) NOT NULL default '',
  end_date varchar(10) NOT NULL default '',
  created varchar(16) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM

STAMP;

// Table structure for table `sorting`
$SQL[] = "DROP TABLE IF EXISTS {$myprefix}sorting";

$SQL[] = <<<STAMP

CREATE TABLE {$myprefix}sorting (
  id mediumint(8) unsigned NOT NULL auto_increment,
  member mediumint(8) unsigned NOT NULL default '0',
  home_projects varchar(155) NOT NULL default '',
  home_tasks varchar(155) NOT NULL default '',
  home_discussions varchar(155) NOT NULL default '',
  home_reports varchar(155) NOT NULL default '',
  projects varchar(155) NOT NULL default '',
  organizations varchar(155) NOT NULL default '',
  project_tasks varchar(155) NOT NULL default '',
  discussions varchar(155) NOT NULL default '',
  project_discussions varchar(155) NOT NULL default '',
  users varchar(155) NOT NULL default '',
  team varchar(155) NOT NULL default '',
  tasks varchar(155) NOT NULL default '',
  report_tasks varchar(155) NOT NULL default '',
  assignment varchar(155) NOT NULL default '',
  reports varchar(155) NOT NULL default '',
  files varchar(155) NOT NULL default '',
  organization_projects varchar(155) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM

STAMP;

// Dumping data for table `sorting`

$SQL[] = <<<STAMP
INSERT INTO {$myprefix}sorting VALUES (1, 1, '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '')
STAMP;

$SQL[] = <<<STAMP
INSERT INTO {$myprefix}sorting VALUES (2, 2, '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '')
STAMP;

// Table structure for table `tasks`
$SQL[] = "DROP TABLE IF EXISTS {$myprefix}tasks";

$SQL[] = <<<STAMP

CREATE TABLE {$myprefix}tasks (
  id mediumint(8) unsigned NOT NULL auto_increment,
  project mediumint(8) unsigned NOT NULL default '0',
  priority mediumint(8) unsigned NOT NULL default '0',
  status mediumint(8) unsigned NOT NULL default '0',
  owner mediumint(8) unsigned NOT NULL default '0',
  assigned_to mediumint(8) unsigned NOT NULL default '0',
  name varchar(155) NOT NULL default '',
  description text NOT NULL,
  start_date varchar(10) NOT NULL default '',
  due_date varchar(10) NOT NULL default '',
  estimated_time varchar(10) NOT NULL default '',
  actual_time varchar(10) NOT NULL default '',
  comments text NOT NULL,
  completion mediumint(8) unsigned NOT NULL default '0',
  created varchar(16) NOT NULL default '',
  modified varchar(16) NOT NULL default '',
  assigned varchar(16) NOT NULL default '',
  published char(1) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM

STAMP;

// Table structure for table `teams`
$SQL[] = "DROP TABLE IF EXISTS {$myprefix}teams";

$SQL[] = <<<STAMP

CREATE TABLE {$myprefix}teams (
  id mediumint(8) unsigned NOT NULL auto_increment,
  project mediumint(8) unsigned NOT NULL default '0',
  member mediumint(8) unsigned NOT NULL default '0',
  published char(1) NOT NULL default '',
  authorized char(1) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM

STAMP;

// Table structure for table `topics`
$SQL[] = "DROP TABLE IF EXISTS {$myprefix}topics";

$SQL[] = <<<STAMP

CREATE TABLE {$myprefix}topics (
  id mediumint(8) unsigned NOT NULL auto_increment,
  project mediumint(8) unsigned NOT NULL default '0',
  owner mediumint(8) unsigned NOT NULL default '0',
  subject varchar(155) NOT NULL default '',
  status char(1) NOT NULL default '',
  last_post varchar(16) NOT NULL default '',
  posts smallint(5) unsigned NOT NULL default '0',
  published char(1) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM

STAMP;
?>